Package: org.grails.spring.beans

## [Java] Class GrailsApplicationAwareBeanPostProcessor

- org.grails.spring.beans.GrailsApplicationAwareBeanPostProcessor

- Implementation of org.springframework.beans.factory.config.BeanPostProcessor that recognizes GrailsApplicationAware and injects and instance of GrailsApplication.

  Authors:
    Steven Devijver
  Since:
    0.2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApplicationAwareBeanPostProcessor (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `static void` | `processAwareInterfaces(GrailsApplication grailsApplication, java.lang.Object bean)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanPostProcessorAdapter` | `postProcessAfterInitialization, postProcessBeforeInitialization`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsApplicationAwareBeanPostProcessor(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### public static void processAwareInterfaces(GrailsApplication grailsApplication, java.lang.Object bean)